@echo off
CLS

set bcc=f:\prod\BCC582
set fwh=fwh1302
set harb=harb32
set sys=CGW32

rem **************************************************************
  rem   harbour v3.0 with fwh 11.07 and Borland v5.82
rem **************************************************************

echo Compile step > out.txt
CALL f:\utility\RMAKE32 %sys%.RMK 3
call f:\utility\RMAKE32 %sys%.RMK

  rem call brow out.txt

rem PAUSE

rem  CD..
IF NOT ERRORLEVEL 1 GOTO PHASE2

rem call brow out.txt

rem BEEP not available on WIN2000
rem BEEP
rem BEEP
ECHO Error?????????????
GOTO END

:PHASE2

echo Link Step > out.txt
    rem CALL LNK


rem  no -aa switch USED TO CREATE A CONSOLE MODE VERSION for debugger and gtwin.lib for debug console mode
rem // test - debug for xp / winnt ( NO -aa switch for console debugger)
rem                  ( -ap switch for console debugger)
rem pause
				rem          %bcc%\BIN\ilink32.exe -Gn    -Tpe -s -Iobj32 -L%bcc% @%sys%.lnk
    f:\prod\bcc582\BIN\ilink32.exe -Gn    -Tpe -s -Iobj32 -Lf:\prod\bcc582 @%sys%.lnk


rem pause



rem gtgui - no debug - production
rem // prod - no debug for xp / winnt

          			REM       %bcc%\BIN\ilink32.exe -Gn -aa -Tpe -s -Iobj32 -L%bcc% @%sys%.lnk
rem        f:\prod\bcc582\BIN\ilink32.exe -Gn -aa -Tpe -s -Iobj32 -Lf:\prod\bcc582 @%sys%.lnk


ECHO Done!

:END




